local t = Def.ActorFrame{
	Def.ActorFrame{
		Def.Sprite {
			InitCommand=cmd(x,(SCREEN_CENTER_X*0.575)-40;y,SCREEN_CENTER_Y+109);
			OnCommand=cmd(zoomtowidth,120*4;zoomtoheight,120*0.025;diffusealpha,0;sleep,0.3;diffusealpha,0.8;accelerate,0.25;zoomtowidth,160;accelerate,0.25;zoomtoheight,50;);
			CurrentSongChangedMessageCommand=function(self)
				if not GAMESTATE:IsCourseMode() then
					local song=GAMESTATE:GetCurrentSong();
					self:stoptweening();
					if song then
						if song:HasBanner() then
							self:visible(true);
							self:LoadBackground(song:GetBannerPath());
							self:zoomtowidth(160);
							self:zoomtoheight(50);
							self:linear(0.15);
							self:cropleft(0);
							self:diffusealpha(0.8);
						else
							BannerPath = THEME:GetPathG("Common fallback","banner");
							self:Load( BannerPath );
							self:zoomtowidth(160);
							self:zoomtoheight(50);
							self:linear(0.15);
							self:cropleft(0);
							self:diffusealpha(0.8);
						end;
					else
						BannerPath = THEME:GetPathG("Common fallback","banner");
						self:Load( BannerPath );
						self:zoomtowidth(160);
						self:zoomtoheight(50);
						self:linear(0.15);
						self:cropleft(0);
						self:diffusealpha(0.8);
					end;
				else
					self:stoptweening();
					self:diffusealpha(0);
					self:visible(false);
				end;
			end;
		};
	};
};

return t;